CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Class Methods | List of all members
CGTK Class Reference

`#import <CGTK.h>`

Inheritance diagram for CGTK:
[legend]
Collaboration diagram for CGTK:
[legend]

## Class Methods
(NSString *) | + coreGtkVersion
(void) | + initWithArgc:andArgv:
(int) | + autoInitWithArgc:andArgv:
(void) | + main
(void) | + mainQuit

## Detailed Description

Global level CoreGTK functionality

Definition at line 44 of file CGTK.h.

## Method Documentation

## ◆ autoInitWithArgc:andArgv:()

+ (int) autoInitWithArgc: |  | (int) | argc
andArgv: |  | (char *[]) | argv

Same as initWithArgc:andArgv: but does the type conversion automatically.

Parameters

  argc | Address of the argc parameter of your main function (or 0 if argv is NULL). This will be changed if any arguments were handled. [inout]
  argv | Address of the argv parameter of main, or NULL. Any options understood by GTK+ are stripped before return. [array length=argc][inout][allow-none]

Returns
  modified argc value

See also
  + initWithArgc:andArgv:

Definition at line 46 of file CGTK.m.

## ◆ coreGtkVersion()

+ (NSString *) coreGtkVersion |  |  |

Returns the CoreGTK version string

Returns
  the version string

Definition at line 36 of file CGTK.m.

## ◆ initWithArgc:andArgv:()

+ (void) initWithArgc: |  | (int *) | argc
andArgv: |  | (char ***) | argv

Call this function before using any other GTK+ functions in your GUI applications. It will initialize everything needed to operate the toolkit and parses some standard command line options.

Although you are expected to pass the argc, argv parameters from main to this function, it is possible to pass NULL if argv is not available or commandline handling is not required.

argc and argv are adjusted accordingly so your own code will never see those standard arguments.

Parameters

  argc | Address of the argc parameter of your main function (or 0 if argv is NULL). This will be changed if any arguments were handled. [inout]
  argv | Address of the argv parameter of main, or NULL. Any options understood by GTK+ are stripped before return. [array length=argc][inout][allow-none]

Definition at line 41 of file CGTK.m.

## ◆ main()

+ (void) main |  |  |

Runs the main loop until mainQuit is called. You can nest calls to main. In that case mainQuit will make the innermost invocation of the main loop return.

See also
  + mainQuit

Definition at line 52 of file CGTK.m.

## ◆ mainQuit()

+ (void) mainQuit |  |  |

Makes the innermost invocation of the main loop return when it regains control.

Definition at line 57 of file CGTK.m.

The documentation for this class was generated from the following files:

- CGTK.h
- CGTK.m